Developers
API ReferenceReported Time Type

Replaces the ReportedTimeType resource.

PUT
/project/reported-time-types/{id}

Replaces the ReportedTimeType resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ReportedTimeType identifier

Request Body

The updated ReportedTimeType resource

  1. body
name*string
Lengthlength <= 100
isDefault?|
Defaultfalse
isPaid?|
Defaulttrue
isActive?|
Defaulttrue

Response Body

ReportedTimeType resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
isDefault?boolean
isPaid?boolean
isActive?boolean
Example Request
curl -X PUT 'https://app.icproject.com/api/instance/demo/project/reported-time-types/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isDefault": true,  "isPaid": true,  "isActive": true}